Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5158)
@@ -86,7 +86,7 @@
   !**********************************************************************************************
   SUBROUTINE read_SCM_cas
+    USE lmdz_date_cas, ONLY: year_ini_cas, mth_ini_cas, day_deb, heure_ini_cas, pdt_cas, day_ju_ini_cas
+
     IMPLICIT NONE
-
-    INCLUDE "date_cas.h"
 
     INTEGER nid, rid, ierr
@@ -239,5 +239,5 @@
             o3_cas, rugos_cas, clay_cas, sand_cas)
     PRINT*, 'read_SCM cas OK'
-    do ii = 1, nlev_cas
+    DO ii = 1, nlev_cas
       PRINT*, 'apres read_SCM_cas, plev_cas=', ii, plev_cas(ii, 1)
       !PRINT*,'apres read_SCM, plev_cas=',ii,omega_cas(ii,nt_cas/2+1)
@@ -325,6 +325,7 @@
 
     !program reading forcing of the case study
+    USE lmdz_compar1d
+
     IMPLICIT NONE
-    INCLUDE "compar1d.h"
 
     INTEGER ntime, nlevel, k, t
@@ -419,5 +420,5 @@
     !-----------------------------------------------------------------------
 
-    do i = 1, nbvar3d
+    DO i = 1, nbvar3d
       missing_var(i) = 0.
       ierr = nf90_inq_varid(nid, name_var(i), var3didin(i))
@@ -596,6 +597,6 @@
 
     !CR:ATTENTION EN ATTENTE DE REGLER LA QUESTION DU PAS DE TEMPS INITIAL
-    do t = 1, ntime
-      do k = 1, nlevel
+    DO t = 1, ntime
+      DO k = 1, nlevel
         temp(k, t) = temp0(k)
         qv(k, t) = qv0(k)
@@ -644,4 +645,7 @@
           , ustar_prof_cas, uw_prof_cas, vw_prof_cas, q1_prof_cas, q2_prof_cas, tkes_prof_cas)
 
+    USE lmdz_compar1d
+    USE lmdz_date_cas, ONLY: year_ini_cas, mth_ini_cas, day_deb, heure_ini_cas, pdt_cas, day_ju_ini_cas
+
     IMPLICIT NONE
 
@@ -654,7 +658,4 @@
     ! pdt_cas: total time interval (in sec) between 2 forcing data
     !---------------------------------------------------------------------------------------
-
-    INCLUDE "compar1d.h"
-    INCLUDE "date_cas.h"
 
     ! inputs:
@@ -799,5 +800,5 @@
             - frac * (ustar_cas(it_cas2) - ustar_cas(it_cas1))
 
-    do k = 1, nlev_cas
+    DO k = 1, nlev_cas
       plev_prof_cas(k) = plev_cas(k, it_cas2)                           &
               - frac * (plev_cas(k, it_cas2) - plev_cas(k, it_cas1))
@@ -970,5 +971,5 @@
     ! for variables defined at the middle of layers
 
-    do l = 1, llm
+    DO l = 1, llm
 
       IF (play(l)>=plev_prof_cas(nlev_cas)) THEN
@@ -979,5 +980,5 @@
 
         IF (play(l)<=plev_prof_cas(1)) THEN
-          do k = 1, nlev_cas - 1
+          DO k = 1, nlev_cas - 1
             IF (play(l)<=plev_prof_cas(k).AND. play(l)>plev_prof_cas(k + 1)) THEN
               k1 = k
@@ -989,5 +990,5 @@
             WRITE(*, *) 'PB! k1, k2 = ', k1, k2
             WRITE(*, *) 'l,play(l) = ', l, play(l) / 100
-            do k = 1, nlev_cas - 1
+            DO k = 1, nlev_cas - 1
               WRITE(*, *) 'k,plev_prof_cas(k) = ', k, plev_prof_cas(k) / 100
             enddo
@@ -1141,5 +1142,5 @@
     ! for variables defined at layer interfaces (EV):
 
-    do l = 1, llm + 1
+    DO l = 1, llm + 1
 
       IF (plev(l)>=plev_prof_cas(nlev_cas)) THEN
@@ -1149,5 +1150,5 @@
 
         IF (plev(l)<=plev_prof_cas(1)) THEN
-          do k = 1, nlev_cas - 1
+          DO k = 1, nlev_cas - 1
             IF (plev(l)<=plev_prof_cas(k).AND. plev(l)>plev_prof_cas(k + 1)) THEN
               k1 = k
@@ -1159,5 +1160,5 @@
             WRITE(*, *) 'PB! k1, k2 = ', k1, k2
             WRITE(*, *) 'l,plev(l) = ', l, plev(l) / 100
-            do k = 1, nlev_cas - 1
+            DO k = 1, nlev_cas - 1
               WRITE(*, *) 'k,plev_prof_cas(k) = ', k, plev_prof_cas(k) / 100
             enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5158)
@@ -29,5 +29,5 @@
       open(21,file=trim(fich_toga),form='formatted')
       read(21,'(a)') 
-      do ip = 1, nt_toga
+      DO ip = 1, nt_toga
       read(21,'(a)') 
       read(21,'(a)') 
@@ -36,5 +36,5 @@
       read(21,'(a)') 
 
-       do k = 1, nlev_toga
+       DO k = 1, nlev_toga
          read(21,230) plev_toga(k,ip), t_toga(k,ip), q_toga(k,ip)          &
      &       ,u_toga(k,ip), v_toga(k,ip), w_toga(k,ip)                     &
@@ -85,5 +85,5 @@
       open(21,file=trim(fich_sandu),form='formatted')
       read(21,'(a)')
-      do ip = 1, nt_sandu
+      DO ip = 1, nt_sandu
       read(21,'(a)')
       read(21,'(a)')
@@ -124,5 +124,5 @@
       read(21,'(a)')
       read(21,'(a)')
-      do ip = 1, nt_astex
+      DO ip = 1, nt_astex
       read(21,'(a)')
       read(21,'(a)')
@@ -308,6 +308,6 @@
 
 !pressure 
-       do l=1,ntime
-       do k=1,nlevel
+       DO l=1,ntime
+       DO k=1,nlevel
           plev(k,l)=lev(k)
        enddo
@@ -356,6 +356,6 @@
 !         WRITE(*,*)'lecture q ok'
 !q in kg/kg
-       do l=1,ntime
-       do k=1,nlevel
+       DO l=1,ntime
+       DO k=1,nlevel
           q(k,l)=q(k,l)/1000.
        enddo
@@ -382,6 +382,6 @@
 !         WRITE(*,*)'lecture omega ok'
 !omega in mb/hour
-       do l=1,ntime
-       do k=1,nlevel
+       DO l=1,ntime
+       DO k=1,nlevel
           omega(k,l)=omega(k,l)*100./3600.
        enddo
@@ -402,6 +402,6 @@
 !         WRITE(*,*)'lecture T_adv_h ok'
 !T adv in K/s
-       do l=1,ntime
-       do k=1,nlevel
+       DO l=1,ntime
+       DO k=1,nlevel
           T_adv_h(k,l)=T_adv_h(k,l)/3600.
        enddo
@@ -416,6 +416,6 @@
 !         WRITE(*,*)'lecture T_adv_v ok'
 !T adv in K/s
-       do l=1,ntime
-       do k=1,nlevel
+       DO l=1,ntime
+       DO k=1,nlevel
           T_adv_v(k,l)=T_adv_v(k,l)/3600.
        enddo
@@ -429,6 +429,6 @@
 !         WRITE(*,*)'lecture q_adv_h ok'
 !q adv in kg/kg/s
-       do l=1,ntime
-       do k=1,nlevel
+       DO l=1,ntime
+       DO k=1,nlevel
           q_adv_h(k,l)=q_adv_h(k,l)/1000./3600.
        enddo
@@ -443,6 +443,6 @@
 !         WRITE(*,*)'lecture q_adv_v ok'
 !q adv in kg/kg/s
-       do l=1,ntime
-       do k=1,nlevel
+       DO l=1,ntime
+       DO k=1,nlevel
           q_adv_v(k,l)=q_adv_v(k,l)/1000./3600.
        enddo
@@ -572,5 +572,5 @@
        REAL frac,frac1,frac2,fact
 
-       do l = 1, llm
+       DO l = 1, llm
 
         IF (play(l).ge.plev_prof(nlev_sandu)) THEN
@@ -580,5 +580,5 @@
 
          IF (play(l).le.plev_prof(1)) THEN
-         do k = 1, nlev_sandu-1
+         DO k = 1, nlev_sandu-1
           IF (play(l).le.plev_prof(k).AND. play(l).gt.plev_prof(k+1)) THEN
             k1=k
@@ -590,5 +590,5 @@
           WRITE(*,*) 'PB! k1, k2 = ',k1,k2
           WRITE(*,*) 'l,play(l) = ',l,play(l)/100
-         do k = 1, nlev_sandu-1
+         DO k = 1, nlev_sandu-1
           WRITE(*,*) 'k,plev_prof(k) = ',k,plev_prof(k)/100
          enddo
@@ -641,5 +641,5 @@
        enddo ! l
 
-       do l = 1,llm
+       DO l = 1,llm
 !      print *,'t_mod(l),thl_mod(l),q_mod(l),u_mod(l),v_mod(l) ',
 !    $        l,t_mod(l),thl_mod(l),q_mod(l),u_mod(l),v_mod(l)
@@ -685,5 +685,5 @@
        REAL frac,frac1,frac2,fact
 
-       do l = 1, llm
+       DO l = 1, llm
 
         IF (play(l).ge.plev_prof(nlev_astex)) THEN
@@ -693,5 +693,5 @@
 
          IF (play(l).le.plev_prof(1)) THEN
-         do k = 1, nlev_astex-1
+         DO k = 1, nlev_astex-1
           IF (play(l).le.plev_prof(k).AND. play(l).gt.plev_prof(k+1)) THEN
             k1=k
@@ -703,5 +703,5 @@
           WRITE(*,*) 'PB! k1, k2 = ',k1,k2
           WRITE(*,*) 'l,play(l) = ',l,play(l)/100
-         do k = 1, nlev_astex-1
+         DO k = 1, nlev_astex-1
           WRITE(*,*) 'k,plev_prof(k) = ',k,plev_prof(k)/100
          enddo
@@ -760,5 +760,5 @@
        enddo ! l
 
-       do l = 1,llm
+       DO l = 1,llm
 !      print *,'t_mod(l),thl_mod(l),qv_mod(l),u_mod(l),v_mod(l) ',
 !    $        l,t_mod(l),thl_mod(l),qv_mod(l),u_mod(l),v_mod(l)
@@ -801,5 +801,5 @@
       PRINT*,fich_rico
       open(21,file=trim(fich_rico),form='formatted')
-        do k=1,llm
+        DO k=1,llm
       zlay(k)=0.
          enddo
@@ -808,11 +808,11 @@
         prico(1)=ps_rico
         zrico(1)=0.0
-      do l=2,nlev_rico
+      DO l=2,nlev_rico
         read(21,*) k,prico(l),zrico(l)
       enddo
        close(21)
 
-      do k=1,llm
-        do l=1,80
+      DO k=1,llm
+        DO l=1,80
           IF(prico(l)>play(k)) THEN
               IF(play(k)>prico(l+1)) THEN
@@ -922,5 +922,5 @@
       enddo
 
-      do k=1,llm
+      DO k=1,llm
       q_rico(k)=q_rico(k)/1e3 
       dqh_dyn(k)=dqh_dyn(k)/1e3
@@ -1029,5 +1029,5 @@
       open(21,file=trim(fich_armcu),form='formatted')
       read(21,'(a)')
-      do ip = 1, nt_armcu
+      DO ip = 1, nt_armcu
       read(21,'(a)')
       read(21,'(a)')
@@ -1082,5 +1082,5 @@
        REAL frac,frac1,frac2,fact
  
-       do l = 1, llm
+       DO l = 1, llm
 
         IF (play(l).ge.plev_prof(nlev_toga)) THEN
@@ -1090,5 +1090,5 @@
 
          IF (play(l).le.plev_prof(1)) THEN
-         do k = 1, nlev_toga-1
+         DO k = 1, nlev_toga-1
           IF (play(l).le.plev_prof(k).AND. play(l).gt.plev_prof(k+1)) THEN
             k1=k
@@ -1100,5 +1100,5 @@
           WRITE(*,*) 'PB! k1, k2 = ',k1,k2
           WRITE(*,*) 'l,play(l) = ',l,play(l)/100
-         do k = 1, nlev_toga-1
+         DO k = 1, nlev_toga-1
           WRITE(*,*) 'k,plev_prof(k) = ',k,plev_prof(k)/100
          enddo
@@ -1208,5 +1208,5 @@
        REAL frac,frac1,frac2,fact
  
-       do l = 1, llm
+       DO l = 1, llm
 
         IF (play(l).ge.plev_prof_cas(nlev_cas)) THEN
@@ -1216,5 +1216,5 @@
 
          IF (play(l).le.plev_prof_cas(1)) THEN
-         do k = 1, nlev_cas-1
+         DO k = 1, nlev_cas-1
           IF (play(l).le.plev_prof_cas(k).AND. play(l).gt.plev_prof_cas(k+1)) THEN
             k1=k
@@ -1226,5 +1226,5 @@
           WRITE(*,*) 'PB! k1, k2 = ',k1,k2
           WRITE(*,*) 'l,play(l) = ',l,play(l)/100
-         do k = 1, nlev_cas-1
+         DO k = 1, nlev_cas-1
           WRITE(*,*) 'k,plev_prof_cas(k) = ',k,plev_prof_cas(k)/100
          enddo
@@ -1356,5 +1356,5 @@
        REAL aa,frac,frac1,frac2,fact
  
-       do l = 1, llm
+       DO l = 1, llm
 
         IF (play(l).ge.plev_prof(nlev_dice)) THEN
@@ -1364,5 +1364,5 @@
 
          IF (play(l).le.plev_prof(1)) THEN
-         do k = 1, nlev_dice-1
+         DO k = 1, nlev_dice-1
           IF (play(l).le.plev_prof(k) .AND. play(l).gt.plev_prof(k+1)) THEN
             k1=k
@@ -1374,5 +1374,5 @@
           WRITE(*,*) 'PB! k1, k2 = ',k1,k2
           WRITE(*,*) 'l,play(l) = ',l,play(l)/100
-         do k = 1, nlev_dice-1
+         DO k = 1, nlev_dice-1
           WRITE(*,*) 'k,plev_prof(k) = ',k,plev_prof(k)/100
          enddo
@@ -1540,4 +1540,7 @@
      &             ,ts_prof,plev_prof,t_prof,q_prof,u_prof,v_prof,w_prof   &
      &             ,ht_prof,vt_prof,hq_prof,vq_prof)
+
+     USE lmdz_compar1d
+
         IMPLICIT NONE
 
@@ -1550,6 +1553,4 @@
 ! dt_toga: total time interval (in sec) between 2 forcing data (e.g. 6h for TOGA-COARE)
 !---------------------------------------------------------------------------------------
-
-        INCLUDE "compar1d.h"
 
 ! inputs:
@@ -1646,5 +1647,5 @@
 !     :day,annee_ref,day_ini_toga,timeit/86400.,it_toga1,it_toga2,ts_prof
 
-       do k=1,nlev_toga
+       DO k=1,nlev_toga
         plev_prof(k) = 100.*(plev_toga(k,it_toga2)                         &
      &          -frac*(plev_toga(k,it_toga2)-plev_toga(k,it_toga1)))
@@ -1681,4 +1682,7 @@
      &             ,ustar_prof,psurf_prof,ug_prof,vg_prof                 &
      &             ,ht_prof,hq_prof,hu_prof,hv_prof,w_prof,omega_prof)
+
+     USE lmdz_compar1d
+
         IMPLICIT NONE
 
@@ -1691,6 +1695,4 @@
 ! dt_dice: total time interval (in sec) between 2 forcing data (e.g. 30min. for Dice)
 !---------------------------------------------------------------------------------------
-
-        INCLUDE "compar1d.h"
 
 ! inputs:
@@ -1777,5 +1779,5 @@
 !     :day,annee_ref,day_ini_dice,timeit/86400.,it_dice1,it_dice2,ts_prof
 
-       do k=1,nlev_dice
+       DO k=1,nlev_dice
         ht_prof(k) = ht_dice(k,it_dice2)-frac*(ht_dice(k,it_dice2)-ht_dice(k,it_dice1))
         hq_prof(k) = hq_dice(k,it_dice2)-frac*(hq_dice(k,it_dice2)-hq_dice(k,it_dice1))
@@ -1794,4 +1796,7 @@
      &             ,ug_gabls4,vg_gabls4,ht_gabls4,hq_gabls4,tg_gabls4                          &
      &             ,ug_prof,vg_prof,ht_prof,hq_prof,tg_prof)
+
+     USE lmdz_compar1d
+
         IMPLICIT NONE
 
@@ -1804,6 +1809,4 @@
 ! dt_gabls4: total time interval (in sec) between 2 forcing data (e.g. 60min. for gabls4)
 !---------------------------------------------------------------------------------------
-
-        INCLUDE "compar1d.h"
 
 ! inputs:
@@ -1866,5 +1869,5 @@
 
 
-       do k=1,nlev_gabls4
+       DO k=1,nlev_gabls4
         ug_prof(k) = ug_gabls4(k,it_gabls42)-frac*(ug_gabls4(k,it_gabls42)-ug_gabls4(k,it_gabls41))
         vg_prof(k) = vg_gabls4(k,it_gabls42)-frac*(vg_gabls4(k,it_gabls42)-vg_gabls4(k,it_gabls41))
@@ -1982,5 +1985,5 @@
         IF (ierr /= 0) stop 'ERROR:Prof.inp does not exist'
         read (ilesfile,*) kmax
-        do k=1,kmax
+        DO k=1,kmax
           read (ilesfile,*) height1(k),thlprof(k),qtprof (k),               &
      &                      uprof (k),vprof  (k),e12prof(k)
@@ -1996,9 +1999,9 @@
           stop 'lecture profiles'
         endif
-        do k=1,kmax
+        DO k=1,kmax
           read (ilesfile,*) height(k),ugprof(k),vgprof(k),wfls(k),         &
      &                      dqtdxls(k),dqtdyls(k),dqtdtls(k),thlpcar(k)
         END DO
-        do k=1,kmax
+        DO k=1,kmax
           IF (height(k) .NE. height1(k)) THEN
             print *, 'fichiers prof.inp et lscale.inp incompatibles :'
@@ -2022,5 +2025,5 @@
           stop 'lecture profiles'
         endif
-        do k=1,kmax
+        DO k=1,kmax
           read (ilesfile,*) height(k),(tracer(k,itrac),itrac=nt1,nt2)
         END DO
@@ -2052,5 +2055,5 @@
         IF (ierr /= 0) stop 'ERROR:Prof.inp does not exist'
         read (ilesfile,*) kmax
-        do k=1,kmax
+        DO k=1,kmax
           read (ilesfile,*) height(k),pprof(k),  tprof(k),thlprof(k),      &
      &                      qprof (k),uprof(k),  vprof(k),  wprof(k),      &
@@ -2084,5 +2087,5 @@
         IF (ierr /= 0) stop 'ERROR:Prof.inp does not exist'
         read (ilesfile,*) kmax
-        do k=1,kmax
+        DO k=1,kmax
           read (ilesfile,*) height(k),pprof(k),  tprof(k),thlprof(k),      &
      &                qvprof (k),qlprof (k),qtprof (k),                    &
@@ -2126,5 +2129,5 @@
         IF (ierr /= 0) stop 'ERROR:Prof.inp does not exist'
         read (ilesfile,*) kmax
-        do k=1,kmax
+        DO k=1,kmax
           read (ilesfile,*) height(k)    ,pprof(k),  uprof(k), vprof(k),   &
      &                      thetaprof(k) ,tprof(k), qvprof(k),rvprof(k)
@@ -2143,5 +2146,5 @@
        ENDIF
         read (ifile,*) kmax
-        do k=1,kmax
+        DO k=1,kmax
           read (ifile,*) jtot,aprof(k),bprof(k)
         enddo
@@ -2559,5 +2562,5 @@
          endif
 !          WRITE(*,*)'lecture th ok',th
-           do k=1,nlevel
+           DO k=1,nlevel
              t(k)=th(k)*(pres(k)/pzero)**rkappa
            enddo
@@ -2925,5 +2928,5 @@
 
 ! On remet les variables lues dans le bon ordre des niveaux (MPL 20141024)
-         do k=1,nlevel
+         DO k=1,nlevel
            zz(k)=zz_i(nlevel+1-k)
            ug(k,:)=ug_i(nlevel+1-k,:)
@@ -2948,8 +2951,9 @@
 
       USE lmdz_yomcst
-      
+
+      INTEGER :: ncm_1, nlev_circ, ilev, iskip, icm_1, il
       parameter (ncm_1=49180)
 
-      REAL albsfc(ncm_1), albsfc_w(ncm_1)
+      REAL albsfc(ncm_1), albsfc_w(ncm_1), aer_alpha, sw_dn_toa, tsfc
       REAL cf(nlev_circ), icefra(nlev_circ), deice(nlev_circ), &
            reliq(nlev_circ), reice(nlev_circ), lwp(nlev_circ), iwp(nlev_circ)
@@ -2975,5 +2979,5 @@
       
 !     Read scalar information
-      do iskip=1,5
+      DO iskip=1,5
          read (11, *)
       enddo
@@ -2988,5 +2992,5 @@
 !     Read level information
       read (12, *)
-      do il=1,nlev
+      DO il=1,nlev
          read (12, 302) ilev, z(il), p(il), t(il)
          z(il)=z(il)*1000.    ! z donne en km
@@ -2997,8 +3001,8 @@
 
 !     Read layer information (midpoint values)
-      do iskip=1,3
+      DO iskip=1,3
          read (13, *)
       enddo
-      do il=1,nlev-1
+      DO il=1,nlev-1
          read (13, 303) ilev,pm(il),tm(il),h2o(il),co2(il),o3(il), &
                         n2o(il),co(il),ch4(il),o2(il),ccl4(il), &
@@ -3010,5 +3014,5 @@
       
 !     Read aerosol layer information
-      do iskip=1,3
+      DO iskip=1,3
          read (14, *)
       enddo
@@ -3016,5 +3020,5 @@
       read (14, *)
       read (14, *)
-      do il=1,nlev-1
+      DO il=1,nlev-1
          read (14, 304) ilev, aer_beta(il), waer(il), gaer(il)
       enddo
@@ -3023,8 +3027,8 @@
       
 !     Read cloud information
-      do iskip=1,3
+      DO iskip=1,3
          read (15, *)
       enddo
-      do il=1,nlev-1
+      DO il=1,nlev-1
          read (15, 305) ilev, cf(il), lwp(il), iwp(il), reliq(il), reice(il)
          lwp(il)=lwp(il)/1000.          ! lwp donne en g/kg
@@ -3037,8 +3041,8 @@
 
 !     Read surface albedo (weighted & unweighted) and spectral solar irradiance
-      do iskip=1,6
+      DO iskip=1,6
          read (16, *)
       enddo
-      do icm_1=1,ncm_1
+      DO icm_1=1,ncm_1
          read (16, 306) wavn(icm_1), albsfc(icm_1), albsfc_w(icm_1), ssf(icm_1)
       enddo
@@ -3055,4 +3059,5 @@
       USE lmdz_yomcst
 
+      INTEGER nlev_rtmip, il
       REAL t(nlev_rtmip), pt(nlev_rtmip),pb(nlev_rtmip),h2o(nlev_rtmip), o3(nlev_rtmip)
       REAL temp(nlev_rtmip), play(nlev_rtmip),ovap(nlev_rtmip), oz(nlev_rtmip),plev(nlev_rtmip+1)
@@ -3066,8 +3071,8 @@
 !     Read level information
       read (11, *)
-      do il=1,nlev_rtmip
+      DO il=1,nlev_rtmip
          read (11, 302) pt(il), pb(il), t(il),h2o(il),o3(il)
       enddo
-      do il=1,nlev_rtmip
+      DO il=1,nlev_rtmip
          play(il)=pt(nlev_rtmip-il+1)*100.     ! p donne en mb
          temp(il)=t(nlev_rtmip-il+1)
@@ -3075,5 +3080,5 @@
          oz(il)=o3(nlev_rtmip-il+1)
       enddo
-      do il=1,39
+      DO il=1,39
          plev(il)=play(il)+(play(il+1)-play(il))/2.
          print *,'il p t ovap oz=',il,plev(il),temp(il),ovap(il),oz(il)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_interp_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_interp_cases.h	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_interp_cases.h	(revision 5158)
@@ -26,5 +26,5 @@
 ! large-scale forcing :
 !!!      tsurf = ts_gcssold
-      do l = 1, llm
+      DO l = 1, llm
 !       u(l) = hu_gcssold(l) !  on prescrit le vent
 !       v(l) = hv_gcssold(l)    !  on prescrit le vent
@@ -72,5 +72,5 @@
 ! large-scale forcing :
       tsurf = ts_prof
-      do l = 1, llm
+      DO l = 1, llm
        u(l) = u_mod(l) ! sb: on prescrit le vent
        v(l) = v_mod(l) ! sb: on prescrit le vent
@@ -169,5 +169,5 @@
       tg=tg_prof
       print *,'ust= ',ust
-      do l = 1, llm
+      DO l = 1, llm
        ug(l)= ug_profd
        vg(l)= vg_profd
@@ -217,5 +217,5 @@
      &         ,ht_mod,hq_mod,ug_mod,vg_mod,w_mod,omega_mod,mxcalc)
 
-      do l = 1, llm
+      DO l = 1, llm
        ug(l)= ug_mod(l)
        vg(l)= vg_mod(l)
@@ -276,5 +276,5 @@
 
 !wind nudging above 500m with a 2h time scale
-        do l=1,llm
+        DO l=1,llm
         IF (nudge_wind) THEN
 !           if (phi(l).gt.5000.) THEN
@@ -291,5 +291,5 @@
 !CR:nudging of q and theta with a 6h time scale above 15km
         IF (nudge_thermo) THEN
-        do l=1,llm
+        DO l=1,llm
            zz(l)=phi(l)/9.8
            IF ((zz(l).le.16000.).AND.(zz(l).gt.15000.)) THEN
@@ -304,5 +304,5 @@
         endif
 
-      do l = 1, llm
+      DO l = 1, llm
        omega(l) = w_mod(l)
        omega2(l)= omega(l)/rg*airefi ! flxmass_w calcule comme ds physiq
@@ -343,5 +343,5 @@
       PRINT*,'apres interpolation temporelle AMMA'
 
-      do k=1,nlev_amma
+      DO k=1,nlev_amma
          th_profamma(k)=0.
          q_profamma(k)=0.
@@ -365,5 +365,5 @@
 !Calcul des gradients verticaux
 !initialisation
-      do l=1,llm
+      DO l=1,llm
       d_t_z(l)=0.
       d_q_z(l)=0.
@@ -380,5 +380,5 @@
 
 
-      do l = 1, llm
+      DO l = 1, llm
        rho(l)  = play(l)/(rd*temp(l)*(1.+(rv/rd-1.)*q(l,1)))
        omega(l) = w_mod(l)*(-rg*rho(l))
@@ -414,5 +414,5 @@
        CALL lstendH(llm,nqtot,omega,dt_dyn,dq_dyn,q,temp,u,v,play)
 
-        do l=1,llm
+        DO l=1,llm
        d_t_adv(l) =  (dth_rico(l) +  dt_dyn(l))
        d_q_adv(l,1) = (dqh_rico(l) +  dq_dyn(l,1))
@@ -446,5 +446,5 @@
 
 ! Advective forcings are given in K or g/kg ... BY HOUR
-      do l = 1, llm
+      DO l = 1, llm
        ug(l)= u_mod(l)
        vg(l)= v_mod(l)
@@ -539,5 +539,5 @@
       tsurf = ts_prof
       WRITE(*,*) 'SST suivante: ',tsurf
-      do l = 1, llm
+      DO l = 1, llm
        omega(l) = omega_mod(l)
        omega2(l)= omega(l)/rg*airefi ! flxmass_w calcule comme ds physiq
@@ -620,5 +620,5 @@
       tsurf = ts_prof
       WRITE(*,*) 'SST suivante: ',tsurf
-      do l = 1, llm
+      DO l = 1, llm
        omega(l) = w_mod(l)
        omega2(l)= omega(l)/rg*airefi ! flxmass_w calcule comme ds physiq
@@ -715,9 +715,9 @@
 !wind nudging 
       IF (nudge_u.gt.0.) THEN
-        do l=1,llm
+        DO l=1,llm
            u(l)=u(l)+timestep*(u_mod_cas(l)-u(l))/(nudge_u)
         enddo
       else
-        do l=1,llm
+        DO l=1,llm
         u(l) = u_mod_cas(l) 
         enddo
@@ -725,9 +725,9 @@
 
       IF (nudge_v.gt.0.) THEN
-        do l=1,llm
+        DO l=1,llm
            v(l)=v(l)+timestep*(v_mod_cas(l)-v(l))/(nudge_v)
         enddo
       else
-        do l=1,llm
+        DO l=1,llm
         v(l) = v_mod_cas(l) 
         enddo
@@ -735,9 +735,9 @@
 
       IF (nudge_w.gt.0.) THEN
-        do l=1,llm
+        DO l=1,llm
            w(l)=w(l)+timestep*(w_mod_cas(l)-w(l))/(nudge_w)
         enddo
       else
-        do l=1,llm
+        DO l=1,llm
         w(l) = w_mod_cas(l) 
         enddo
@@ -746,15 +746,15 @@
 !nudging of q and temp 
       IF (nudge_t.gt.0.) THEN
-        do l=1,llm
+        DO l=1,llm
            temp(l)=temp(l)+timestep*(t_mod_cas(l)-temp(l))/(nudge_t)
         enddo
       endif
       IF (nudge_q.gt.0.) THEN
-        do l=1,llm
+        DO l=1,llm
            q(l,1)=q(l,1)+timestep*(q_mod_cas(l)-q(l,1))/(nudge_q)
         enddo
       endif
 
-      do l = 1, llm
+      DO l = 1, llm
        omega(l) = w_mod_cas(l)  ! juste car w_mod_cas en Pa/s (MPL 20170310)
        omega2(l)= omega(l)/rg*airefi ! flxmass_w calcule comme ds physiq
@@ -905,5 +905,5 @@
 !geostrophic wind 
       IF (forc_geo.EQ.1) THEN
-        do l=1,llm
+        DO l=1,llm
         ug(l) = ug_mod_cas(l) 
         vg(l) = vg_mod_cas(l) 
@@ -912,5 +912,5 @@
 !wind nudging 
       IF (nudging_u.gt.0.) THEN
-        do l=1,llm
+        DO l=1,llm
            u(l)=u(l)+timestep*(u_mod_cas(l)-u(l))/(nudge_u)
         enddo
@@ -922,5 +922,5 @@
 
       IF (nudging_v.gt.0.) THEN
-        do l=1,llm
+        DO l=1,llm
            v(l)=v(l)+timestep*(v_mod_cas(l)-v(l))/(nudge_v)
         enddo
@@ -932,5 +932,5 @@
 
       IF (nudging_w.gt.0.) THEN
-        do l=1,llm
+        DO l=1,llm
            w(l)=w(l)+timestep*(w_mod_cas(l)-w(l))/(nudge_w)
         enddo
@@ -943,15 +943,15 @@
 !nudging of q and temp 
       IF (nudging_t.gt.0.) THEN
-        do l=1,llm
+        DO l=1,llm
            temp(l)=temp(l)+timestep*(t_mod_cas(l)-temp(l))/(nudge_t)
         enddo
       endif
       IF (nudging_qv.gt.0.) THEN
-        do l=1,llm
+        DO l=1,llm
            q(l,1)=q(l,1)+timestep*(q_mod_cas(l)-q(l,1))/(nudge_q)
         enddo
       endif
 
-      do l = 1, llm
+      DO l = 1, llm
 ! Modif w_mod_cas -> omega_mod_cas (MM+MPL 20170309)
        omega(l) = omega_mod_cas(l)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_read_forc_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_read_forc_cases.h	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_read_forc_cases.h	(revision 5158)
@@ -39,5 +39,5 @@
 ! compute altitudes of play levels.
       zlay(1) =zsurf +  rd*tsurf*(psurf-play(1))/(rg*psurf)
-      do l = 2,llm
+      DO l = 2,llm
         zlay(l) = zlay(l-1)+rd*tsurf*(psurf-play(1))/(rg*psurf)
       enddo
@@ -48,5 +48,5 @@
 !----------------------------------------------------------------------
       zlay(1) = zsurf +  rd*tsurf*(psurf-play(1))/(rg*psurf)
-      do l=1,llm
+      DO l=1,llm
         ! Above the max altutide of the input file
 
@@ -74,5 +74,5 @@
         dq_dyn(l,1) = dqtdtls(kmax)-frac*(dqtdtls(kmax)-dqtdtls(kmax-1))
         dt_cooling(l)=thlpcar(kmax)-frac*(thlpcar(kmax)-thlpcar(kmax-1))
-        do k=2,kmax
+        DO k=2,kmax
           print *,'k l height(k) height(k-1) zlay(l) frac=',k,l,height(k),height(k-1),zlay(l),frac
           frac = (height(k)-zlay(l))/(height(k)-height(k-1))
@@ -167,5 +167,5 @@
        mxcalc=llm
        print *, airefi, ' airefi '
-       do l = 1, llm
+       DO l = 1, llm
        rho(l)  = play(l)/(rd*t_rico(l)*(1.+(rv/rd-1.)*q_rico(l)))
        temp(l) = t_rico(l)
@@ -214,5 +214,5 @@
       tsurf = ts_prof
       WRITE(*,*) 'SST initiale: ',tsurf
-      do l = 1, llm
+      DO l = 1, llm
        temp(l) = t_mod(l)
        q(l,1) = q_mod(l)
@@ -266,5 +266,5 @@
 !      tsurf = ts_proftwp
       WRITE(*,*) 'SST initiale: ',tsurf
-      do l = 1, llm
+      DO l = 1, llm
        temp(l) = t_mod(l)
        q(l,1) = q_mod(l)
@@ -296,5 +296,5 @@
 
 !champs initiaux:
-      do k=1,nlev_amma
+      DO k=1,nlev_amma
          th_ammai(k)=th_amma(k)
          q_ammai(k)=q_amma(k)
@@ -322,5 +322,5 @@
 !      tsurf = ts_proftwp
       WRITE(*,*) 'SST initiale mxcalc: ',tsurf,mxcalc
-      do l = 1, llm
+      DO l = 1, llm
 ! Ligne du dessous ?? decommenter si on lit theta au lieu de temp
 !      temp(l) = t_mod(l)*(play(l)/pzero)**rkappa 
@@ -372,5 +372,5 @@
 
 !champs initiaux:
-      do k=1,nlev_dice
+      DO k=1,nlev_dice
          t_dicei(k)=t_dice(k)
          qv_dicei(k)=qv_dice(k)
@@ -420,5 +420,5 @@
 ! initial and boundary conditions :
       WRITE(*,*) 'SST initiale mxcalc: ',tsurf,mxcalc
-      do l = 1, llm
+      DO l = 1, llm
 ! Ligne du dessous ?? decommenter si on lit theta au lieu de temp
 !      temp(l) = th_mod(l)*(play(l)/pzero)**rkappa 
@@ -480,5 +480,5 @@
       fich_gabls4='gabls4_driver.nc'
       
-       	
+
       CALL read_gabls4(fich_gabls4,nlev_gabls4,nt_gabls4,nsol_gabls4,zz_gabls4,depth_sn_gabls4,ug_gabls4,vg_gabls4 &
      & ,plev_gabls4,th_gabls4,t_gabls4,qv_gabls4,u_gabls4,v_gabls4,ht_gabls4,hq_gabls4,tg_gabls4,tsnow_gabls4,snow_dens_gabls4)
@@ -487,5 +487,5 @@
 
 !champs initiaux:
-      do k=1,nlev_gabls4
+      DO k=1,nlev_gabls4
          t_gabi(k)=t_gabls4(k)
          qv_gabi(k)=qv_gabls4(k)
@@ -527,5 +527,5 @@
 ! initial and boundary conditions :
       WRITE(*,*) 'SST initiale mxcalc: ',tsurf,mxcalc
-      do l = 1, llm
+      DO l = 1, llm
 ! Ligne du dessous ?? decommenter si on lit theta au lieu de temp
 !      temp(l) = th_mod(l)*(play(l)/pzero)**rkappa 
@@ -539,5 +539,5 @@
        vg(l)=vg_mod(l)
 
-!	tg=tsurf
+!    tg=tsurf
 
        print *,'***** tsurf=',tsurf
@@ -637,5 +637,5 @@
 ! tsurf read in lmdz1d.def
       WRITE(*,*) 'Tsurf initiale: ',tsurf
-      do l = 1, llm
+      DO l = 1, llm
        play(l)=play_mod(l)*100.
        presnivs(l)=play(l)
@@ -670,5 +670,5 @@
 ! plev at half levels is given in proh.inp.19 or proh.inp.40 files
       plev(1)= ap(llm+1)+bp(llm+1)*psurf
-      do l = 1, llm
+      DO l = 1, llm
       plev(l+1) = ap(llm-l+1)+bp(llm-l+1)*psurf
       print *,'Read_forc: l height play plev zlay temp',                    &
@@ -733,5 +733,5 @@
       tsurf = ts_prof
       WRITE(*,*) 'SST initiale: ',tsurf
-      do l = 1, llm
+      DO l = 1, llm
        temp(l) = t_mod(l)
        tetal(l)=thl_mod(l)
@@ -809,5 +809,5 @@
       tsurf = ts_prof
       WRITE(*,*) 'SST initiale: ',tsurf
-      do l = 1, llm
+      DO l = 1, llm
        temp(l) = t_mod(l)
        tetal(l)=thl_mod(l)
@@ -873,5 +873,5 @@
       psurf=plev_prof_cas(1)
       WRITE(*,*) 'SST initiale: ',tsurf
-      do l = 1, llm
+      DO l = 1, llm
        temp(l) = t_mod_cas(l)
        q(l,1) = q_mod_cas(l)
@@ -934,5 +934,5 @@
      &       ,sens_prof_cas,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tke_prof_cas)
 
-      do l = 1, nlev_cas
+      DO l = 1, nlev_cas
       print *,'apres 1ere interp: plev_cas, plev_prof_cas=',l,plev_cas(l,1),plev_prof_cas(l)
       enddo
@@ -962,5 +962,5 @@
       psurf=plev_prof_cas(1)
       WRITE(*,*) 'SST initiale: ',tsurf
-      do l = 1, llm
+      DO l = 1, llm
        temp(l) = t_mod_cas(l)
        q(l,1) = qv_mod_cas(l)
@@ -1032,5 +1032,5 @@
      &       ,sens_prof_cas,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tke_prof_cas)
 
-      do l = 1, nlev_cas
+      DO l = 1, nlev_cas
       print *,'apres 1ere interp: plev_cas, plev_prof_cas=',l,plev_cas(l,1),plev_prof_cas(l)
       enddo
@@ -1061,5 +1061,5 @@
       psurf=plev_prof_cas(1)
       WRITE(*,*) 'SST initiale: ',tsurf
-      do l = 1, llm
+      DO l = 1, llm
        temp(l) = t_mod_cas(l)
        q(l,1) = qv_mod_cas(l)
